Last Comment Bug 720226 - We need individual rights for locales
: We need individual rights for locales
Status: RESOLVED FIXED
u=contributor c=wiki p=3 s=2013.10
:
Product: support.mozilla.org
Classification: Other
Component: Knowledge Base Software (show other bugs)
: unspecified
: All All
: P3 normal with 1 vote (vote)
: 2013Q2
Assigned To: Ricky Rosario [:rrosario, :r1cky]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-22 07:43 PST by Kadir Topal [:atopal]
Modified: 2013-05-22 14:31 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Kadir Topal [:atopal] 2012-01-22 07:43:44 PST
Currently we can assign rights to delete articles broken down by locales. We also need the same for reviewing revisions.
Comment 1 Ricky Rosario [:rrosario, :r1cky] 2012-02-14 08:31:43 PST
James just convinced me that this is more like a 2pt bug. I was thinking just a migration with a bunch of inserts but then thinking through, we have to touch the views and templates to check these templates. And then add tests to make sure we are doing it right.
Comment 2 Kadir Topal [:atopal] 2012-02-22 09:11:44 PST
After talking with Michael it seems like we can get away with just making English a special case. So we'd have reviewer rights for English and reviewer rights for other locales. We'd also need the same for can_delete_revision
Comment 3 Ricky Rosario [:rrosario, :r1cky] 2012-02-27 13:57:56 PST
Didn't make it in 2012.4.
Comment 4 Will Kahn-Greene [:willkg] 2012-02-28 09:49:23 PST
Bumping to 2012.6.
Comment 5 Ricky Rosario [:rrosario, :r1cky] 2012-03-06 10:00:59 PST
Sprint based milestone :-)
Comment 6 Will Kahn-Greene [:willkg] 2012-05-22 08:26:13 PDT
(In reply to Ricky Rosario [:rrosario, :r1cky] from comment #1)
> James just convinced me that this is more like a 2pt bug. I was thinking
> just a migration with a bunch of inserts but then thinking through, we have
> to touch the views and templates to check these templates. And then add
> tests to make sure we are doing it right.

That sounds like 3 points of work--not 2. Can this be done in a day or two?
Comment 7 Alice Wyman 2013-03-16 11:37:43 PDT
Related discussion:

https://support.mozilla.org/en-US/forums/contributors/709054?#post-51384
Comment 8 Ricky Rosario [:rrosario, :r1cky] 2013-03-18 08:38:13 PDT
We created the KB locale teams models to handle this. Each active locale in: https://support.mozilla.org/en-US/kb/locales needs to have it's leaders and reviewers assigned and then we can switch to using those roles for the actual permissions.
Comment 9 Kadir Topal [:atopal] 2013-04-16 03:19:42 PDT
I removed the points since the base for this changed and made this bug more generic. If it's too much, let's make this a tracker bug and file more, but for now, this is what we'd need:

* delete revision
* review revision
* change keywords
Comment 10 Ricky Rosario [:rrosario, :r1cky] 2013-04-16 06:10:54 PDT
We need to be 100% sure all the locale teams are setup before doing this. Otherwise, all hell will break lose. Moving to backlog.
Comment 11 Kadir Topal [:atopal] 2013-04-16 07:53:16 PDT
I'm moving this to the 9th sprint after talking to Rosana. She said she'd have that ready within two weeks.
Comment 12 Rosana Ardila 2013-04-16 07:59:22 PDT
I will work on moving all the reviewers to their locales. Since this is a manual process it will take some time, but I will be ready before the next sprint.
Comment 13 Ricky Rosario [:rrosario, :r1cky] 2013-04-29 12:06:46 PDT
Are the locales all set for this to be implemented?

What are the actual permissions per locale that each role gets you? Is it just:

Locale Leaders:
* Allowed to delete documents in their locale

Locale Reviewers:
* Allowed to delete revisions in their locale
* Allowed to review revisions in their locale
Comment 14 Ricky Rosario [:rrosario, :r1cky] 2013-04-29 12:08:11 PDT
Making this a 3pter (conservatively). Might end up being 2pt. Might end up needing followup bugs.
Comment 15 Ricky Rosario [:rrosario, :r1cky] 2013-04-30 05:19:20 PDT
Moving to backlog because I don't see locales set up. For example:
https://support.mozilla.org/en-US/kb/locales/ro
Comment 16 Kadir Topal [:atopal] 2013-05-03 11:09:36 PDT
Moving this into the next sprint. Rosana said on IRC she will have it ready by May 14th. What we have right now is that locale leaders and reviewers have exactly the same rights, but your suggestions is correct.

To the ones you mentioned, please also add:
* Can change document (for keywords)

Bot for reviewers (and of course locale leaders get everything that reviewers have)
Comment 17 Ricky Rosario [:rrosario, :r1cky] 2013-05-03 11:14:44 PDT
(In reply to Kadir Topal [:atopal] from comment #16)
> To the ones you mentioned, please also add:
> * Can change document (for keywords)


keywords are still revision level and available to edit by all users. 

See bug 860225
Comment 18 Kadir Topal [:atopal] 2013-05-03 12:03:47 PDT
Yeah, was thinking of limiting that to reviewers too, like we do in English, but now that I think about it, maybe there are more down than upsides to that. Let's skip that for now.
Comment 19 Ricky Rosario [:rrosario, :r1cky] 2013-05-17 12:24:25 PDT
This is next for me.
Comment 20 Ricky Rosario [:rrosario, :r1cky] 2013-05-22 10:40:48 PDT
Pull request is in action here:
https://github.com/mozilla/kitsune/pull/1376
Comment 21 Ricky Rosario [:rrosario, :r1cky] 2013-05-22 13:37:51 PDT
Landed on master:
https://github.com/mozilla/kitsune/commit/8cd1303d8fc459bf5ca9afbf5e73e727982ce88a
Comment 22 Ricky Rosario [:rrosario, :r1cky] 2013-05-22 14:23:18 PDT
Deployed to prod by mythmon now.
Comment 23 Ricky Rosario [:rrosario, :r1cky] 2013-05-22 14:31:41 PDT
To summarize the current state of wiki permissions:

Archive Document
* Users with the wiki.archive_document can archive documents

Make Ready for L10n
* This only applies to localizable en-US documents
* Only users with wiki.mark_ready_for_l10n permission can mark a document as ready for l10n

Edit Keywords:
* All logged in users can edit (translate) keywords for non-en-US documents
* Only users with wiki.edit_keywords permission can edit keywords for en-US documents

Edit Needs Change:
* This only applies to en-US documents
* Users with wiki.edit_needs_change permission can edit needs change fields

Edit Other Document Fields
* Any logged in user can edit the other document/descriptio  fields (title, slug, ...) until there is an approved revision. After that...
* Locale leaders and reviewers can edit for documents in there locale
* All users with the wiki.change_document permission can edit for documents in all locales

Delete Document
* Locale leaders can delete documents in their locale
* Users with the wiki.delete_document can delete documents in any locale

Create Revision
* Any logged in user can create a revision in any locale

Review Revision
* Locale leaders and reviewers can review revisions for documents in their locale
* Users with wiki.delete_revision permission can review revisions for documents in all locales

Delete Revision
* Locale leaders and reviewers can delete revisions for documents in their locale
* Users with wiki.review_revision permission can delete revisions for documents in all locales


whewwww

Note You need to log in before you can comment on or make changes to this bug.